"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = __importDefault(require("commander"));
const TwitterArchive_1 = require("../TwitterArchive");
const fs_1 = require("fs");
const util_1 = require("util");
const timerize_1 = __importDefault(require("timerize"));
commander_1.default
    .option('-f, --file <zipFile>', "Archive ZIP to load")
    .option('-1, --test-one', "Test 1")
    .option('-2, --test-two', "Test 2")
    .option('-3, --test-three', "Test 3")
    .option('-4, --test-four', "Test 4")
    .option('-5, --test-five', "Test 5")
    .option('-6, --test-six', 'Test 6')
    .option('-7, --test-seven', 'Test 7')
    .parse(process.argv);
const write = (name, data) => {
    (0, fs_1.writeFileSync)('test_dir/' + name, typeof data === 'string' ? data : (0, util_1.inspect)(data, false, Infinity));
};
(async () => {
    timerize_1.default.default_format = "s";
    const timer = new timerize_1.default;
    const archive = new TwitterArchive_1.TwitterArchive(commander_1.default.file);
    await archive.ready();
    const tweetWithMedia = archive.tweets.all.find(tweet => tweet.extended_entities?.media?.length);
    if (tweetWithMedia) {
        console.log('Found tweet with media:', tweetWithMedia?.id_str);
        const firstMedia = await archive.medias.fromTweetMediaEntity(tweetWithMedia.extended_entities.media[0], false);
        console.log('File extracted:', firstMedia.name, firstMedia.type, firstMedia.size, 'bytes');
    }
    console.log("Total time for tests:", timer.elapsed);
})();
